function ampeo
clc
f=fopen('../fortran_io/input','r');
nm=fscanf(f,'%d',1);
nmax=fscanf(f,'%d',1);
lvmax=fscanf(f,'%d',1);
s=fscanf(f,'%d',1);
p1n=fscanf(f,'%d',1);
fclose(f);
f=fopen('../fortran_io/output','r');
spw=fread(f,1,'int');
n=fread(f,1,'int');
em=fread(f,1,'int');
m=fread(f,1,'int');
lv=fread(f,1,'int');
v1n=fread(f,1,'int');
theta=fread(f,[2 s],'double'); theta=theta(2,:);
nn=fread(f,[5 lv],'int'); nn=nn(3:5,:);
tt=fread(f,[3 lv],'single'); tt=tt(3,:);
tt1=zeros(1,lv);
tt1(1)=tt(1);
for i=2:lv
    tt1(i)=tt1(i-1)+tt(i);
end
thetan=nn(3,lv);
thetav=zeros(thetan,s);
for j=1:s
    thetaj=fread(f,[2 thetan],'double');
    thetav(:,j)=thetaj(2,:)';
end
for i=1:p1n
    rn1=fread(f,[4 lv],'double');
    rn.nr(i).rn=rn1(2:4,:);
end
tr=fread(f,[5 m],'int');
tr=tr(3:5,:)';
e=fread(f,[4 em],'int');
e=e(3:4,:)';
xy=fread(f,[3 n],'double');
x=xy(2,:)'; y=xy(3,:)';
u=zeros(n,s);
for j=1:s
    uj=fread(f,[2 n],'double');
    u(:,j)=uj(2,:)';
end
for k=1:m
    s1=tr(k,1); s2=tr(k,2); s3=tr(k,3);
    t11=e(s1,1); t12=e(s1,2);
    t21=e(s2,1); t22=e(s2,2);
    t31=e(s3,1); t32=e(s3,2);
    if t11==t21
        t2=t11; t1=t12; t3=t22;
    else
        if t12==t21
            t2=t12; t1=t11; t3=t22;
        else
            if t11==t31 || t11==t32
                t1=t11; t2=t12;
            else
                t1=t12; t2=t11;
            end
            t3=t21;
        end
    end
    tr(k,1)=t1; tr(k,2)=t2; tr(k,3)=t3;
end
fclose(f);
% show eigenvalue approximations
num2str(thetav,'%15.10f')
% draw an eigenfunction approximation
u1=u(:,1); [u11,i]=max(abs(u1));
u1=u1/u1(i);
trisurf(tr,x(1:n),y(1:n),u1);
shading interp
axis equal
axis([min(x) max(x) min(y) max(y) -1 1])
axis off
camlight
lighting gouraud
